
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详解如何在Sbo Add-on开发中使用Folder控件 / iVAN</title>

    <meta name="description" content="详解如何在Sbo Add-on开发中使用Folder控件 Foleder 在B1和其他开发平台中很普通,是一种容器性控件,也叫Tab页.不过,Folder在B1中使用的频率更加频繁.因此,虽然Folder控件对于软件的功能不产生实质性影响,也觉得有必要对其进行阐述分析,以帮助初学者更好的领会Folder的效能,少走弯路. 使用Folder产生的效能: 1.使窗口的控件具有了分层管理的效果,具有了层次感,更利于操作者理解控件的使用. 2.使用Folder,扩充了窗口的容量,我们知道,通过http://www.aliyun.com/zixun/aggreg">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">详解如何在Sbo Add-on开发中使用Folder控件</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>　　Foleder 在B1和其他开发平台中很普通，是一种容器性控件，也叫Tab页。不过,Folder在B1中使用的频率更加频繁。因此，虽然Folder控件对于软件的功能不产生实质性影响，也觉得有必要对其进行阐述分析，以帮助初学者更好的领会Folder的效能，少走弯路。</p>
<p>　　使用Folder产生的效能：</p>
<p>　　1、使窗口的控件具有了分层管理的效果，具有了层次感，更利于操作者理解控件的使用。</p>
<p>　　2、使用Folder，扩充了窗口的容量，我们知道，通过&quot;&gt;ScrollBar可以无限在窗口中添加控件，但Scrollbar实际操作起来不方便，需要来回拖动ScrollBar，而Folder则解决了此问题。</p>
<p>　　和Folder配合使用的控件和属性(其他控件)：</p>
<p>　　1、使用Folder时，我们最好使用RectAngle,如果说Folder是其他功能性控件的容器，那么RectAngle便是Folder的容器，它使Folder和里面的功能性控件看起来具有了一种边界。当然，在Folder的使用中,RectAngle不是必须的，但建议配合使用。</p>
<p>　　2、使用Folder必须使用其他控件的Pane和Level属性，否则，Folder的使用是没有意义的。</p>
<p>　　在什么请况下使用Folder：</p>
<p>　　1、要对窗口的功能性控件按其内容进行分类安排界面时，可使用Folder，例子：B1中的库存--〉物料主数据</p>
<p>　　2、所进行的操作在业务流程上具有前后步骤时，可使用Folder，并且效果非常的好，使业务流程看上去更紧密。尤其是使用在分析调度一类的窗体。</p>
<p>　　3、要扩充窗口内容，可使用Folder，其实这点也包含了第一点谈到的条件。</p>
<p>　　Folder使用的代码例子：</p>
<p>　　1、生成代码：</p>
<p>　　 '　　Dim creationPackage　　　　　creationPackage = SBO_<br />
Application.CreateObject(SAPbouiCOM.BoCreatableObjectType.cot_FormCreationParams)　　　　　creationPackage.UniqueID = &quot;SBOP&quot;　　　　　　　　creationPackage.BorderStyle = SAPbouiCOM.BoFormBorderStyle.fbs_Sizable　　　　　　　　'// Add our form to the SBO application　　　　　　　　oForm = SBO_Application.Forms.AddEx(creationPackage)　　　　　　　　　　oForm.DataSources.UserDataSources.Add(&quot;FolderDS&quot;, SAPbouiCOM.BoDataType.dt_SHORT_TEXT, 1)'生成一个Folder绑定的UserDatasource　　　　　　　　　　'// Set the form properties　　　　　　　　oForm.Title = &quot;生产订单分析调度&quot;　　　　　　　　oForm.Left = 320　　　　　　　　oForm.ClientW<br />
idth = 680　　　　　　　　oForm.Top = 60　　　　　　　　oForm.ClientHeight = 540　　　　　　　　　　oItem = oForm.Items.Add(&quot;Add_B&quot;, SAPbouiCOM.BoFormItemTypes.it_BUTTON) '新增按钮　　　　　　　　oItem.Left = 60　　　　　　　　oItem.Width = 40　　　　　　　　oItem.Top = 510　　　　　　　　oItem.Height = 19　　　　　　　　oButton = oItem.Specific　　　　　　　　oButton.Caption = &quot;新增&quot;　　　　　　　　　　　　　　　　'表头信息//**********************************************************************************************************　　　　　　　　'//添加调用单据编码　　　　　　　　oItem = oForm.Items.Add(&quot;PdCCode_C&quot;, SAPbouiCOM.BoFormItemTypes.it_COMBO_BOX)　　　　　　　　oItem.Left = 100　　　　　　　　oItem.Width = 65　　　　　　　　oItem.Top = 30　　　　　　　　oItem.Height = 14　　　　　　　　oComboBox = oItem.Specific　　　　　　　　　　oItem = oForm.Items.Add(&quot;BState_L&quot;, SAPbouiCOM.BoFormItemTypes.it_STATIC)　　　　　　　　oItem.Left = 220　　　　　　　　oItem.Width = 65　　　　　　　　oItem.Top = 98　　　　　　　　oItem.Height = 14　　　　　　　　　　oItem.LinkTo = &quot;BState_C&quot;　　　　　　　　oStaticText = oItem.Specific　　　　　　　　oStaticText.Caption = &quot;状态&quot;　　　　　　　　'表头信息//**********************************************************************************************************　　　　　　　　' Folder和Folder所在矩形框//***********************************************************************************　　　　　　　　oItem = oForm.Items.Add(&quot;Rect1&quot;, SAPbouiCOM.BoFormItemTypes.it_RECTANGLE)　　　　　　　　oItem.Left = 20　　　　　　　　oItem.Width = 640　　　　　　　　oItem.Top = 140　　　　　　　　oItem.Height = 360　　　　　　　　For i = 1 To 3　　　　　　　　　　oItem = oForm.Items.Add(&quot;Folder&quot; &amp; i, SAPbouiCOM.BoFormItemTypes.it_FOLDER)　　　　　　　　　　oItem.Left = (i - 1) * 100 + 20　　　　　　　　　　oItem.Width = 100　　　　　　　　　　oItem.Top = 140　　　　　　　　　　oItem.Height = 360　　　　　　　　　　oItem.FromPane = 0　　　　　　　　　　oItem.ToPane = 0　　　　　　　　　　oFolder = oItem.Specific　　　　　　　　　　oFolder.DataBind.SetBound(True, &quot;&quot;, &quot;FolderDS&quot;) '此处不可<br />
缺少,把Foleder绑定与Datasource　　　　　　　　　　　　If (i = 1) Then　　　　　　　　　　　　'// set the caption　　　　　　　　　　　　oFolder.Caption = &quot;订单&quot;　　　　　　　　　　End If　　　　　　　　　　If (i = 2) Then　　　　　　　　　　　　'// set the caption　　　　　　　　　　　　oFolder.Caption = &quot;分解单&quot;　　　　　　　　　　End If　　　　　　　　　　If (i = 3) Then　　　　　　　　　　　　'// set the caption　　　　　　　　　　　　oFolder.Caption = &quot;生产单&quot;　　　　　　　　　　End If　　　　　　　　　　　　If i = 1 Then　　　　　　　　　　　　oFolder.Select()　　　　　　　　　　Else　　　　　　　　　　　　oFolder.GroupWith((&quot;Folder&quot; &amp; i - 1))'把Folder组合，此句不可缺，否则，Folder将被RectAngle覆盖，在窗口不显示,虽然Folder的Pressed事件仍可用　　　　　　　　　　End If　　　　　　　　Next　　　　　　　 'Folder和Folder所在矩形框//***********************************************************************************　　'调用单的Matrix//*****************************************************************************************　　　　　　　　'添加Matrix控件　　　　　　　　oItem = oForm.Items.Add(&quot;PCMatrix&quot;, SAPbouiCOM.BoFormItemTypes.it_MATRIX)　　　　　　　　oItem.Left = 30　　　　　　　　oItem.Width = 620　　　　　　　　oItem.Top = 175　　　　　　　　oItem.Height = 310　　　　　　　　oItem.FromPane = 1 '把Folder1中的控件建立层次管理　　　　　　　　oItem.ToPane = 1　　　　　　　　oMatrix = oItem.Specific　　　　　　　　　　oColumns = oMatrix.Columns　　　　　　　　　　oCol = oColumns.Add(&quot;#&quot;, SAPbouiCOM.BoFormItemTypes.it_EDIT)　　　　　　　　oCol.TitleObject.Caption = &quot;#&quot;　　　　　　　　oCol.Editable = False　　　　　　　　oCol.Width = 16　　　　　　　　　　oCol = oColumns.Add(&quot;PCID&quot;, SAPbouiCOM.BoFormItemTypes.it_EDIT)　　　　　　　　oCol.TitleObject.Caption = &quot;序号&quot;　　　　　　　　oCol.Editable = False　　　　　　　　oCol.Width = 30　　　　　　　　oCol.DataBind.SetBound(True, &quot;&quot;, &quot;Code&quot;)　'绑定自增字段　　　　　　　　oMatrix.AutoResizeColumns()　　　　　　　　oMatrix.AddRow()　　　　　　　　'调用单的Matrix//*****************************************************************************************　　　　　　　　　　'分解单的Matrix//*****************************************************************************************　　　　　　　　'添加Matrix控件　　　　　　　　oItem = oForm.Items.Add(&quot;PAMatrix&quot;, SAPbouiCOM.BoFormItemTypes.it_MATRIX)　　　　　　　　oItem.Left = 30　　　　　　　　oItem.Width = 620　　　　　　　　oItem.Top = 175　　　　　　　　oItem.Height = 310　　　　　　　　oItem.FromPane = 2 '把Folder2中的控件建立层次管理　　　　　　　　oItem.ToPane = 2　　　　　　　　oMatrix = oItem.Specific　　　　　　　　　　oColumns = oMatrix.Columns　　　　　　　　　　oCol = oColumns.Add(&quot;#&quot;, SAPbouiCOM.BoFormItemTypes.it_EDIT)　　　　　　　　oCol.TitleObject.Caption = &quot;#&quot;　　　　　　　　oCol.Editable = False　　　　　　　　oCol.Width = 16　　　　　　　　　　oCol = oColumns.Add(&quot;PAID&quot;, SAPbouiCOM.BoFormItemTypes.it_EDIT)　　　　　　　　oCol.TitleObject.Caption = &quot;序号&quot;　　　　　　　　oCol.Editable = False　　　　　　　　oCol.Width = 30　　　　　　　　oCol.DataBind.SetBound(True, &quot;&quot;, &quot;ACode&quot;)　'绑定自增字段　　　　　　　　oMatrix.AutoResizeColumns()　　　　　　　　oMatrix.AddRow()　　　　　　　　'分解单的Matrix//*****************************************************************************************　　　　　　　　　　'生产单的Matrix//*****************************************************************************************　　　　　　　　'添加Matrix控件　　　　　　　　oItem = oForm.Items.Add(&quot;APMatrix&quot;, SAPbouiCOM.BoFormItemTypes.it_MATRIX)　　　　　　　　oItem.Left = 30　　　　　　　　oItem.Width = 620　　　　　　　　oItem.Top = 175　　　　　　　　oItem.Height = 320　　　　　　　　oItem.FromPane = 3'把Folder3中的控件建立层次管理　　　　　　　　oItem.ToPane = 3　　　　　　　　oMatrix = oItem.Specific　　　　　　　　　　oColumns = oMatrix.Columns　　　　　　　　　　oCol = oColumns.Add(&quot;#&quot;, SAPbouiCOM.BoFormItemTypes.it_EDIT)　　　　　　　　oCol.TitleObject.Caption = &quot;#&quot;　　　　　　　　oCol.Editable = False　　　　　　　　oCol.Width = 16　　　　　　　　　　oCol = oColumns.Add(&quot;PAID&quot;, SAPbouiCOM.BoFormItemTypes.it_EDIT)　　　　　　　　oCol.TitleObject.Caption = &quot;序号&quot;　　　　　　　　oCol.Editable = False　　　　　　　　oCol.Width = 30　　　　　　　　oCol.DataBind.SetBound(True, &quot;&quot;, &quot;APCode&quot;)　'绑定自增字段　　　　　　　　　　　　　　　oMatrix.AutoResizeColumns()　　　　　　　　oMatrix.AddRow()　　　　　　　　'生产订单工序分解单的Matrix//*****************************************************************************************　　　　　　　　　　 oForm.Visible = True　　　　　　　　If (MenuString = &quot;OWPAna&quot;) Then '分解单菜单　　　　　　　　　　oFolder = oForm.Items.Item(&quot;Folder1&quot;).Specific　　　　　　　　　　oFolder.Select()　　　　　　　　　　oForm.PaneLevel = 1 '分层显示，显示层次1　　　　　　　　End If　　　　　　　　If (MenuString = &quot;Orduction&quot;) Then　　　　　　　　　　oForm.Items.Item(&quot;Folder3&quot;).Specific.Select()　　　　　　　　　　oForm.PaneLevel = 3 '分层显示,显示层次3　　　　　　　　End If</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:15:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8a%9f%e8%83%bd/" title="功能">功能</a>, <a href="https://www.iamivan.net/tag/%e5%b1%82%e6%ac%a1/" title="层次">层次</a>, <a href="https://www.iamivan.net/tag/%e5%85%b7%e6%9c%89/" title="具有">具有</a>, <a href="https://www.iamivan.net/tag/idt/" title="idt">idt</a>, <a href="https://www.iamivan.net/tag/%e4%bd%95%e5%9c%a8/" title="何在">何在</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>详解如何在Sbo Add-on开发中使用Folder控件的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAlxo3b.html" rel="bookmark">Android开发中使用WebView控件浏览网页的方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发中使用WebView控件浏览网页的方法.分享给大家供大家参考,具体如下: 项目中遇到数学展示问题,常规的Textview显示处理不了数学公式,利用图片生成对服务器又产生较大压力,经过查询,可以通过webview加载JS实现.IOS同样的方法也可实现,但JS渲染效率远高于安卓.对Webview做下总结. 1.WebView 在使用WebView控件时,首先需要在xml布局文件中定义一个WebView控件,定义的方法如下: &lt;WebView android:id=&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJdOwVM.html" rel="bookmark">Android开发中RecycleView &plus; CardView 控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先上效果图: 开发中RecycleView + CardView 控件-recycleview cardview&quot;&gt; 原理图: 这是RecycleView的工作原理:1.LayoutManager用来处理RecycleView的&quot;列表&quot;样式,Support包默认包含了:LinearLayoutManager  横向或纵向的滚动列表.GridLayoutManager  网格列表.StaggeredGridLayoutManager  交错的网格列表.2.Adapter负			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRD7o8z.html" rel="bookmark">控件的使用-android开发中使用Spinner控件遇到了一个问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android开发中使用Spinner控件遇到了一个问题 我的本意是使用Spinner下拉列表,当点这个控件的时候,下拉列表中的选项是图片,我用Bitmap这个类型加入了list三个选项,下面是我的代码: public class SpinnerView extends Activity { private Spinner spinner; private Bitmap tp,cp,sp; private ArrayAdapter adapter; protected void onC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVe7Vp.html" rel="bookmark">令你心动的Asp&period;net 开发中的MessageBox控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|控件 令你心动的Asp.net 开发中的MessageBox控件 相信使用ASP.NET做Web开发的程序员们,都会怀念使用MessageBox.Show( &quot;&quot; )的信息提示方式吧.只可惜在ASPX中并不支持此类功能函数,至多也就是在脚本中使用alert( &quot; &quot; )来达到目的.要是想在服务器端的代码中来控制客户端信息提示窗体的显示,就不能直接进行控制了.以下就是我所设计开发的一个用于在服务器端来控制客户端信息提示窗体显示的Web自定义控件,很好用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkAEVb.html" rel="bookmark">手势左右 误判-WP 开发中在WebBrowser控件中添加手势出现误判的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 WP 开发中在WebBrowser控件中添加手势出现误判的问题 在xaml中对WebBrowser控件使用GestureListener实现左右滑动返回上一页.前进下一页.但是在加载2048网页版游戏的时候,出现手势误判,在玩2048游戏向右滑动的时候,会返回上一页,我想监听WebBrowser中是否有2048这类的滑动事件,应该怎么做呢? 我的xaml代码: &lt;phone:WebBrowser VerticalAlignment=&quot;Top&quot; x:Name=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq00Ep.html" rel="bookmark">Android开发中给EditText控件添加TextWatcher监听实现对输入字数的限制&lpar;推荐&rpar;&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 做这个功能是因为开发项目的时候,由于后台接口的一些参数的值的长度有要求,不能超过多少个字符,所以在编辑框中输入的字符是要有限制的. 下面就来看一下demo的实现过程: 首先,在xml控件中放置一个EditText控件,然后初始化该控件并对该控件添加文本监听.xml自己简单的设计一下,代码较为简单,直接上代码: package com.example.edittext; import android.app.Activity; import android.os.Bundle; import a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEY8Zz.html" rel="bookmark">win10开发中 UWP SplitView 控件讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇对适用于顶层导航的SplitView控件展开讨论. 首先SplitView是Win10 UWP新增的控件,以前虽然可以通过DockPanel模拟出类似的效果,但又哪里及得上M$原生支持的SplitView快捷方便呢. 至于为什么说SplitView适合顶层导航,可以参考目前尚为数不多的UWP APP,比如微博.QQ和网易等Win10 APP,基本都是通过SplitView将主界面分成左右两块Pane和Content,在屏幕宽度减至一定程度,自动隐藏Pane,仅显示Content.又或者将导航			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWDVBGp.html" rel="bookmark">Android开发中自定义ProgressBar控件的方法示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发中自定义ProgressBar控件的方法.分享给大家供大家参考,具体如下: 很简单,首先加载Drawable,在onMeasure设置好其区域大小, 然后使用canvas.clipRect绘图 public class ProgressView extends ImageView { private Drawable maskDraw; /** * 加载的进度 0-100 */ private int mProcess = 20; public ProgressV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2R8EZb.html" rel="bookmark">《Android 平板电脑开发实战详解和典型案例》&mdash;&mdash;2&period;5节数字选择控件&mdash;&mdash; NumberPiker</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 数字选择控件-- NumberPiker Android 平板电脑开发实战详解和典型案例 上一节中,介绍了ActionBar的基本知识及简单案例,本节将介绍Android 3.0新增控件数字选择控件NumberPicker,主要内容包括其基本知识以及一个简单的案例. 2.5.1 数字选择控件基本知识 数字选择控件NumberPiker可以理解成由两个Button中夹着一个EditText组成,EditText用来显示数字,而两个Button按钮则控制EditText中数字的增减.数字选择			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOwVxz.html" rel="bookmark" class="title">ASP&period;NET画柱状图和折线图</a>
					<div>
						asp.net|折线图|柱状图 using System;using System.Collections;using System.ComponentModel;using System.Data; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJd52M.html" rel="bookmark" class="title">Ajax程序中&comma;自己实现页面前进、后退、与标签功能&lpar;asp&period;net2&period;0&rpar;</a>
					<div>
						ajax|asp.net|程序|页面        第一次写博客,并且斗胆发表技术类文章,请大家不要见笑,有写的失败或雷同的地方请大家扔砖头敲我吧!       Ajax刚入门不久,便写了一个Ajax ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVJY4z.html" rel="bookmark" class="title">A5营销：研读百度新算法 细节优化是核心</a>
					<div>
						百度搜索引擎在这一年里频繁的更新算法,为了提高互联网的良性发展,搜索引擎算法个升级引来站长们各种抱怨声,关于SEO优化已经没有前途被推到风头浪尖.之前笔者也写了关于&lt;搜索引擎优化并没&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzwr3Ep.html" rel="bookmark" class="title">在Java程序中运行外部类文件</a>
					<div>
						程序 在Java程序中运行外部类文件 一.引言无论是用传统的编程语言(C++.VB等)还是Java语言编程,都经常需要在一个运行的程序中执行另外一个独立的外部程序.例如用Java设计一个IDE程序,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4lqjz.html" rel="bookmark" class="title">短时间打造高质量百度反链之论坛签名</a>
					<div>
						大家应该知道,高质量的百度反链,对于网站快照与网站收录以及其他方面都有很大影响. 为了获取高质量的反链,特别是一些新开网站的站长,比较茫然,整天费尽心机,通过各种方法与手段,从单一的论坛签名转到付费的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKWWAM.html" rel="bookmark" class="title">C&sol;C&plus;&plus;程序的内存分配方式</a>
					<div>
						1.内存分配方式 内存分配方式有三种: [1]从静态存储区域分配.内存在程序编译的时候就已经分配好,这块内存在程序的整个 运行期间都存在.例如全局变量,static变量. [2]在栈上创建.在执行函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOKj8M.html" rel="bookmark" class="title">卸载SQL Server2000后不能再次安装问题解决方法</a>
					<div>
						曾经由于磁盘空间的问题,卸载了SQL Server2000,可当再次要把它安装上的时候,却怎么也不行了.无论是安装哪一个版本,永远都是同样的错误提示,说是有一个文件已经挂起,必须重新启动计算机.那ok ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7aa4M.html" rel="bookmark" class="title">Dreamweaver如何创建图形提交按钮</a>
					<div>
						一.在Dreamweaver中创建图形提交按钮 1. 点击鼠标,将光标定位在表单框线内,点击&quot;插入&quot;菜单,选择&quot;表单&quot;项,在弹出的子菜单中选择&quot;图像域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b244wVp.html" rel="bookmark" class="title">2个自定义的PHP in</a>
					<div>
						 但是如果数组比较大的时候,性能就会下降,运行的就会久一点,那如果针对在大数组情况下做优化呢,下面说两种方法(都是通过自定义函数来实现):   1.数组key与value翻转,通过isset判断key ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7Rx7M.html" rel="bookmark" class="title">Windows 8如何系统更新</a>
					<div>
						  操作步骤: 系统更新有很多方法,这里主要介绍两种界面更新方法. 首先介绍正常更新方法,在桌面计算机图标点右键属性或者鼠标移至右上角,打开超级菜单栏选择设置,打开电脑信息,还可以WIN+X点系统,三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o8qBb.html" rel="bookmark" class="title">ADSL造成Windows XP系统假死之谜</a>
					<div>
						在与ADSL&quot;亲密接触&quot;的日子里,你也许会遇到这样一种奇怪的现象,那就是将ADSL安装在Windows XP系统中后,每次启动ADSL的虚拟拨号软件进行拨号上网时,Windows  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArdQJp.html" rel="bookmark" class="title">让XP加快开机启动几则技巧</a>
					<div>
						  一.影响启动速度的硬件因素 影响电脑启动速度的主要硬件是主板和硬盘以及内存,而与CPU关系不大. 主板是各种电脑配件的&quot;基地&quot;,在开机时要做的工作很多,比如自检.搜索各种端口. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWN8op.html" rel="bookmark" class="title">d3dx9</a>
					<div>
						d3dx9_33.dll是DirectX 9.0里面的一个动态连结库文件. 动态链接库(Dynamic Link Library或者Dynamic-link library,缩写为d3dx9_33.d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NZ6mz.html" rel="bookmark" class="title">用jfreechart生成图形报表在SSH中怎么写&comma;</a>
					<div>
						问题描述 用jfreechart生成图形报表在SSH中怎么写, http://lapulande.iteye.com/blog/847961 从网上找了一个普通的项目好使,然后放SSH就不知道怎么写了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNOeYz.html" rel="bookmark" class="title">Guice AOP问题</a>
					<div>
						问题描述 classServiceProviderimplementsProvider&lt;Service&gt;{@OverridepublicServiceget(){returnnewServ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6o97z.html" rel="bookmark" class="title">tomcat-windows下的web项目部署到linux下，报错了</a>
					<div>
						问题描述 windows下的web项目部署到linux下,报错了 报500的错,谁知道是怎么回事啊 java.lang.reflect.InvocationTargetException sun.re ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQKjVz.html" rel="bookmark" class="title">Android 二维码扫描怎样实现第二次（重复）扫描</a>
					<div>
						相关文章: Android 基于google Zxing实现二维码.条形码扫描,仿微信二维码扫描效果 http://blog.csdn.net/xiaanming/article/details/10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5XZxM.html" rel="bookmark" class="title">水晶报表在IE11中无法调用打印机</a>
					<div>
						问题描述 点击打印按钮弹出的是导出报表框而不是直接弹出打印框不知道大家有没有相关解决方法啊					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeNKEb.html" rel="bookmark" class="title">MySQL Optimizer的子查询优化行为</a>
					<div>
						MySQL Optimizer 先谈谈Optimizer. Optimizer即数据库优化器,在MySQL中大家普遍称之为查询优化器.在任何一款数据库中,Optimizer一直占据着最为核心的角色,有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AXvZz.html" rel="bookmark" class="title">extjs做截图功能，加上jcrop插件后，背景是黑色，浏览出不来图片，不加插件，可以出来图片</a>
					<div>
						问题描述 extjs做截图功能,加上jcrop插件后,背景是黑色,浏览出不来图片,不加插件,可以出来图片 就因为加上了jcrop插件之后,就这个样子了,就是浏览显示不出图片,也没报错,求大神帮忙 下面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydB38b.html" rel="bookmark" class="title">android-这两段代码为什么前者可执行，后者不行，若后者不放在run方法里是可执行的</a>
					<div>
						问题描述 这两段代码为什么前者可执行,后者不行,若后者不放在run方法里是可执行的 前者: // 创建子线程 new Thread() { public void run() { try { // 获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA7g1b.html" rel="bookmark" class="title">新能源车规划部分微调 行业乱象或将改观</a>
					<div>
						中国新能源汽车的发展路径正渐露端倪. 早在2010年10月13日,作为新能源汽车发展的纲领性文件,&lt;节能与新能源汽车产业规划(2011~2020)&gt;(下称&quot;汽车产业规划&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnoovM.html" rel="bookmark" class="title">java如何去除元素的属性</a>
					<div>
						问题描述 &lt;?xmlversion=&quot;1.0&quot;encoding=&quot;gb2312&quot;?&gt;&lt;results&gt;&lt;item&gt;&lt;t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRad0p.html" rel="bookmark" class="title">C&num;中如何利用操作符重载和转换操作符</a>
					<div>
						原文:C#中如何利用操作符重载和转换操作符 操作符重载 有的编程语言允许一个类型定义操作符应该如何操作类型的实例,比如string类型和int类型都重载了(==)和(+)等操作符,当编译器发现两个in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmKZap.html" rel="bookmark" class="title">ajax方式实现注册功能&lpar;提交数据到后台数据库完成交互&rpar;&lowbar;AJAX相关</a>
					<div>
						一.当我们在验证表单的时候,为了阻止把错误的也发送到服务器,我们通常这样设置: $(function(){ var isusername;(定一个变量) var ispwd; $('form').su ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWyLlz.html" rel="bookmark" class="title">Android中创建快捷方式及删除快捷方式实现方法&lowbar;Android</a>
					<div>
						/** * * 创建快捷方式 * @param map 快捷方式图标 * @param appName 快捷方式标题 * @param appUrl 快捷方式打开的地址 * @param iconUr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8N0BPb.html" rel="bookmark" class="title">最新Win2003操作系统技巧十例&lowbar;Windows2003</a>
					<div>
						    作为一款针对服务器的操作系统,Winows 2003在安全方面有了很大的进步,但是这也造成了使用系统过程中的不便,本文为大家例举了十个配置Windows 2003操作系统的技巧,可以让你更方便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8D12b.html" rel="bookmark" class="title">jQuery Easyui Datagrid实现单行的上移下移及保存移动的结果&lowbar;jquery</a>
					<div>
						1.实现行的上移.下移. 说明: 1.1 通过datagrid生成的表格有固定的格式,比如,表格div的class名是datagrid-view.比如每一行tr都有id和datagrid-row-in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnB83p.html" rel="bookmark" class="title">VBA outlook 如何捕捉文本已经修改？</a>
					<div>
						问题描述 就类似于,我新建邮件然后填写,没点击保存,直接点击右上角的关闭按钮,然后他会提示我进行了修改.就这个事件是什么事件?怎么捕捉?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjogOdM.html" rel="bookmark" class="title">浅析网站成功之路  LOGO篇</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 有人把网络比喻成雨后春笋,我觉得还 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
